%global momorel 2
Summary: An X Window System based tool for creating CDs.
Name: xcdroast
Version: 0.98
Release: 0.15.%{momorel}m
License: GPL
Group: Applications/Multimedia
%NoSource 0 http://telia.dl.sourceforge.net/sourceforge/xcdroast/xcdroast-0.98alpha15.tar.gz 2a9c1d9f2ef58713c453e674b989be3e
Source1: xcdroast.desktop
Source2: xcdroast.pamd
Source3: xcdroast.consapps
Source4: version.h
#Patch1: xcdroast-0.98alpha10-rh.patch
#Patch2: xcdroast-0.98alpha9-ver.patch
Patch3: xcdroast-momonga.patch
Url: http://www.xcdroast.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: cdrtools >= 2.0
Requires: mkisofs >= 2.0
Requires: cdda2wav >= 2.0
Requires: usermode >= 1.42
BuildRequires: gtk+-devel >= 2.2.0, libpng-devel >= 1.2.2
BuildRequires: libungif >= 4.1.0, zlib >= 1.1.4
BuildRequires: imlib-devel >= 1.9.14-4k
BuildRequires: pkgconfig, pcre-devel

%description
X-CD-Roast provides a GUI interface for commands like cdrecord and
mkisofs. X-CD-Roast includes a self-explanatory X11 user interface,
automatic SCSI and IDE hardware setup, support for mastering of new
ISO9660 data CDs, support for production of new audio CDs, fast
copying of CDs without hard disk buffering, and a logfile option.

%prep
%setup -q -n xcdroast-0.98alpha15
# %%patch1 -p1 -b .rh
# %%patch2 -p1
# %%patch3 -p1
#cp %%{SOURCE4} ./src

%build
CFLAGS="%{optflags}" ./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --enable-gtk2
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{etc/{X11/applnk/Multimedia,pam.d,security/console.apps},usr/sbin}
make install PREFIX=%{_prefix} DESTDIR=%{buildroot}

mv -f %{buildroot}/usr/bin/xcdroast %{buildroot}%{_prefix}/sbin/xcdroast
ln -sf consolehelper %{buildroot}%{_prefix}/bin/xcdroast
cp -f %{SOURCE1} %{buildroot}/etc/X11/applnk/Multimedia/
cp -f %{SOURCE2} %{buildroot}/etc/pam.d/xcdroast
cp -f %{SOURCE3} %{buildroot}/etc/security/console.apps/xcdroast

strip -R .comment %{buildroot}/usr/sbin/xcdroast

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc doc/*
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/xcdroast-0.98
%{_datadir}/locale/*/*/*
%{_mandir}/man1/xcdroast.1*
%config /etc/pam.d/xcdroast
%config /etc/security/console.apps/xcdroast
/etc/X11/applnk/Multimedia/xcdroast.desktop
 
%changelog
* Tue Nov 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.98-0.15.2m)
- fix files: reported by Ichiro Nakai [Momonga-devel.ja:02338]

* Sat Nov 15 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.98-0.15.1m)
- enable gtk2
- remove xcdroast-momonga.patch

* Wed Jan 29 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (0.98-0.13.2m)
- fix configure option.
- add man file.
- (Thanks to Ichiro Nakai [Momonga-devel.ja:01307],[Momonga-devel.ja:01308])
- fix /usr -> %{_prefix}

* Sat Jan 25 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (0.98-0.13.1m)
- 0.98alpha13
- add xcdroast-momonga.patch (Patch3 replace xcdroast-kondara.patch)

* Tue Jul 30 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.98-0.10.1m)
  change Release tag numbering rule.
  requires tag changed

* Wed Apr 24 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.98-0.0010002k)
- 0.98alpha10
- remove xcdroast-0.98alpha9-ver.patch

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.98-0.0009014k)
- BuildPreReq: imlib-devel >= 1.9.14-4k

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.98-0.0009012k)
- rebuild against libpng 1.2.2.

* Wed Feb 27 2002 Shingo Akagaki <dora@kondra.org>
- (0.98-0.0009010k)
- rebuild against for cdrtools-1.11-0.0012002k

* Tue Dec 25 2001 Toru Hoshina <t@kondara.org>
- (0.98-0.0009008k)
- broken package...

* Tue Dec 11 2001 Toru Hoshina <t@kondara.org>
- (0.98-0.0009006k)
- rebuild cdrtools 1.11-0.0012002k.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (0.98-0.0009004k)
- rebuild against libpng 1.2.0.

* Fri Oct 12 2001 Toru Hoshina <t@kondara.org>
- (0.98-0.0009002k)
- version up.

* Sat Jun 23 2001 Toru Hoshina <toru@df-usa.com>
- (0.98-0.0008003k)
- applied kondara.patch, thanks.
- see http://moomoo.gaiax.com/www/moomoo/i/n/i_nakai/diary.html

* Tue May 22 2001 Karsten Hopp <karsten@redhat.de>
- fix #41802, needs some testing if cdrecord 1.10
  is compatible with 1.9

* Tue Feb 27 2001 Karsten Hopp <karsten@redhat.de>
- symlink should be relative
- fix strip

* Mon Feb 12 2001 Karsten Hopp <karsten@redhat.de>
- update to alpha8 (security bug in alpha7)
- use consolehelper
- fix bugzilla #26870

* Fri Dec 01 2000 Karsten Hopp <karsten@redhat.de>
- rebuild to fix /usr/share/doc permissions 

* Mon Nov 13 2000 Karsten Hopp <karsten@redhat.de>
- update to 0.98alpha7, which has a new menu to configure non-root mode
- added README.nonroot, README.atapi to documentation

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix interoperability with mkisofs 1.13

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current, this fixes the "crashes on startup" bug (#16055)
  (and the maintainer confirms the "alpha" is more stable than the lastest
  "release").

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove another insistence on Tcl 8.0

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Bill Nottingham <notting@redhat.com>
- fix dependencies

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- build on ia64

* Fri Jun  9 2000 Jakub Jelinek <jakub@redhat.com>
- Remove patch for gcc 2.96 breakages, there were none
- Add patch to make et2c work with recent Tcl/Tk headers

* Thu Jun  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the ExclusiveArch: line; it compiles on sparc and it might
  even work there...
- Exclude ia64 for now; cdrecord isn't available there.

* Thu Jun  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild for main distribution
- fix build with TCL/Tk 8.3
- remove cdrecord and mkisofs from the package, add
  dependencies on the cdrecord and mkisofs packages instead
- fix up the code to find cdrecord where it belongs.
- put man pages in FHS locations
- fix build with kernel 2.4 headers
- work around gcc 2.96 breakages

* Sun May 28 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- put man page in correct place
- fix xcdroast to build with tcltk8.2
- add cdrecord-1.8 in xcdroast

* Tue Apr 04 2000 Ngo Than <than@redhat.de>
- include needed devices in the package (Bug #9997)

* Fri Feb 11 2000 Ngo Than <than@redhat.de>
- fix Bug 8564 and 8563

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- rushed by wanger.. not updated

* Wed May 20 1998 Michael Maher <mike@redhat.com>
- built and updated package
- added changelog
- edited paths  
